- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.BatchAddWatchlistEntitiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.watchlists.entities/batchAdd#body.aspect_1)

**Full name**: projects.locations.instances.watchlists.entities.batchAdd

Adds a batch of entities under watchlist.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/entities:batchAdd`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource shared by all entities being added. Format: `projects/{project}/locations/{location}/instances/{instance}/watchlists/{watchlist}` If this is set, the parent field in the AddWatchlistEntityRequest messages must either be empty or match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`AddWatchlistEntityRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`AddWatchlistEntityRequest`)`` Required. The request message specifying the entities to add. |

### Response body

Response message for adding entities in batch.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities#Entity`) } ] } ``` |

| Fields ||
|---|---|
| `entities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.entities#Entity`)`` Entities added. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.entities.batchCreate`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).